Search companies and leads

Endpoint for finding companies and related leads within those companies. Primary use case is for B2B sales, but can also be used for headhunting/executive search. It uses natural language query and returns a list of most relevant companies. Allows for generation of personalized outreach messages for the identified leads. Main difference with /v2/search is that the search starts with shortlisting relevant companies first, then finding leads who necessarily activaly work at these companies. Some recipes:

  • When you only need companies, pass only the company query: {"company_query": "manufacturers of aviation parts"}
  • When you need companies and leads, pass both company and lead queries. Note that the lead query shouldn't include company requirements: {"company_query": "manufacturers of aviation parts", "lead_query": "CTOs and engineering managers"}
  • When you want to generate personalized outreach messages for the identified leads, pass the outreach message instruction: {"company_query": "manufacturers of aviation parts", "lead_query": "CTOs and engineering managers", "outreach_message_instruction": "Suggest buying my (Rob) SaaS recruitment product <300 characters, email style, casual, personal touch"}
  • if you don't have good intuition about leads to target, use a very broad lead query like {..., "lead_query": "people who I can contact regarding partnerships or any c-level (CEO CFO COO CTO CIO CMO CHRO CPO CLO CSO) /founder/director/owner roles"}

Cost: (number of companies returned) × (5 + company_high_freshness if enabled) + (number of leads returned) × (2 + sum of credits for outreach_message_instruction, reveal_emails, reveal_phones, filter_out_no_emails, filter_out_no_phones, high_freshness)

Check out official Python client

Body Params
string
required
Defaults to AI startups in San Francisco with 50-200 employees

The search query for finding companies. Cost: 5 credits per company

string

Unique identifier for the thread. This is returned by every /v2/search_company_leads call and used to run follow up queries on the same thread. Pass thread_id to get more results. You are only charged for additional results, not for the initial request. Running search with thread_id and same limit as previous request will return the same results as the previous request without additional charges.

string

Optional query for finding specific leads within the companies. Do not include company requirements in the lead query. if you don't have good intuition about personas to target, use a very broad query like {..., "lead_query": "people who I can contact regarding partnerships or any c-level (CEO CFO COO CTO CIO CMO CHRO CPO CLO CSO) /founder/director/owner roles"} Cost: 2 credits per lead

string

Optional instruction for generating personalized outreach messages. This uses LLM to generate a message for each lead. In addition to this instruction the LLM gets full lead's profile and company information as context. Cost: 3 credits per lead

integer
1 to 1000
Defaults to 50

The maximum number of company results to return.

integer
1 to 10
Defaults to 3

The number of leads to find per company.

boolean
Defaults to false

Include email addresses in lead results if available. Cost: 3 credits per lead. Deprecated name: show_emails

boolean
Defaults to false

Include phone numbers in lead results if available. Cost: 8 credits per lead. Deprecated name: show_phone_numbers

boolean
Defaults to false

Only return leads with at least one email address. Leads will have additional has_email field set to true. Cost: 1 credit per candidate. Deprecated name: require_emails

boolean
Defaults to false

Only return leads with at least one phone number. Leads will have additional has_phone_numbers field set to true. Cost: 1 credit per candidate. Deprecated name: require_phone_numbers

boolean
Defaults to false

Enable real-time profile updates for fresher lead data. This downloads the most recent copies of profiles directly from source websites in realtime (e.g. Linkedin). Scraped results are cached for up to 24 hours. If you are ok with profiles that may be a few months outdated, and want to save ~30 seconds, turn off high_freshness. Cost: 1 credit per lead

boolean
Defaults to false

Enable real-time company data updates for fresher company information. This looks up companies on the internet in realtime to get the most current data. Cost: 2 credits per company

Responses

400

Invalid parameter values. JSON body contains the error message.

401

Invalid API key

502

Search Backend Error

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json